Subject: bug#24510: 25.1; Info: searching for ` does not find what looks like `

From: Juri Linkov <[email-masked]>
Date: Mon, 02 May 2022 19:12:46 +0300

>> It's possible to do this in help mode, but what keys should toggle
>> char-folding of quotes while using Isearch in help buffers?
>
> I may be misunderstanding the question -- should the normal keys toggle
> that?  I was thinking that the default in those buffers would be to
> fold the quoting characters, but that would be totally outside the
> normal folding machinery, so that wouldn't be affected at all.

I thought that by default Isearch always should be literal,
so the user could search only for plain ', and not to match
its fancy variants.  Currently, M-s ' switches to mode
that folds all possible characters.  But how to switch to new mode
that folds only quoting characters?

> But I don't know whether that's possible (or easy).

This should not be too hard to do, but I don't understand
what UI it could have.